Subject: Re: linux-next: build warnings after merge of the access_once tree

From: Peter Zijlstra <[email-masked]>
Date: Thu, 26 Mar 2015 17:44:42 +0100

On Thu, Mar 26, 2015 at 05:36:47PM +0100, Peter Zijlstra wrote:
> Can't we make an argument that these barrier calls are not required? The
> memcpy() call already guarantees we emit the loads and its opaque so the
> compiler cannot 'cache' the value. So I see not immediate reason for the
> dual memory clobber.

Oh wait, it needs to reassess the content of the target variable after
the memcpy of course.

Could we then at least make the 64bit case unconditional as well?